Issue 52896

Summary: Key shortcuts for Menu should be the same in every application
Product: Draw Reporter: Rainer Bielefeld <rainerbielefeld_ooo_qa>
Component: uiAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, issues, issues
Version: 680m113Keywords: oooqa
Target Milestone: AOO Later   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Rainer Bielefeld 2005-08-04 17:18:32 UTC
I checked with 2.0 (1.9.m113) German version WIN XP: [680m113(Build8930)], 2.0
(1.9.m118) English version WIN XP: [680m118(Build8936)] and also 2.0 (1.9.m122)
German version WIN XP: [680m122(Build8941)]

Steps to reprocuce:
1. Open new DRAW document
2. Pres <Alt>
   expected: First menu text ("File" shoud be marked
   actual: als expected
3. Pres a key for any shortcut, for example <F> for Filw
   expected: menu list should appear
   actual: nothing
Comment 1 wolframgarten 2005-08-05 09:50:56 UTC
@2:Pressing <Alt> selects the file menu. Works for me.
@3: copied from the help files: "Some of the characters shown on the menu bar
are underlined. You can access these menus directly by pressing the underlined
character together with the ALT key. " This works for me.
I have tested this in build 8941.
Comment 2 wolframgarten 2005-08-10 09:02:54 UTC
Closed. Thanks for your help.
Comment 3 Rainer Bielefeld 2005-08-10 11:49:02 UTC
@  wg, I agree, in my HELP I also read that those shortcuts work by <ALT> +
<underlined key> _in_time_

But that's wrong! A WIN standard for UI is, that you can navigate in those menus
by pressing first <ALT> and then separately the the second key. That always also
worked in OOo and also works in the other modules WRITER, CALC, but not (more or
less: as expected) in IMPRESS. I never heard about abandoning Windows UI
standards for DRAW, but maintaining them for other modules ;-)

Co may be we have to do a general discussion OOo UI standards, but until we do
not have a new decision, UI for all modules will have to work in the same way
and, as far as it is possible with admissible efforts, in accordance with the
AS-UI-Standards.

So I reopen this issue.
Comment 4 wolframgarten 2005-08-10 12:18:19 UTC
Reassigned. AF talked to you about this. Thanks.
Comment 5 stephan_schaefer 2005-08-10 12:56:39 UTC
The  sd::Window::Notify() method must return the return value from the Notify()
call to its base class. Otherwise it cannot be detected that the key input was
processed, which is done by a base class (SystemWindow) in this case.
Comment 6 groucho266 2005-08-12 12:25:33 UTC
I talked with WG about the target and we agreed to set it to OO Later.  The fix,
how simple it may be, may change the behaviour of our event handling and lead to
regresion bugs.
Comment 7 Rainer Bielefeld 2008-01-21 07:36:01 UTC
With "2.3.1  Multilingual German version WIN XP: [680m9(Build9238)]" I found out
that it currently works as expected exactly one time after an existing document
has been opened: 
0. Open existing DRAW document
1. press <Alt> and release
2. Press a shortcut key
   expected: Menu will be selected and expanded
   actual: as expected
This will work exactly one time and only if you did no other action in the
document before the test. All further tries to expand the menu with the shortcut
key after <Alt> has been released will fail as reported.
Comment 8 Marcus 2017-05-20 11:31:25 UTC
Reset assigne to the default "issues@openoffice.apache.org".